%global dlrn_nvr mox3-0.28.0-0.20200221143653.0a1e5b9
%global dlrn 1
%define upstream_version 0.28.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
# Created by pyp2rpm-1.1.1
%global pypi_name mox3

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
Mox3 is a mock object framework for Python 3 and 2.7. \
Mox3 is an unofficial port of the Google mox framework to Python 3. It was \
meant to be as compatible with mox as possible, but small enhancements have \
been made.

Name:           python-%{pypi_name}
Version: 0.28.0
Release: 0.20200221143653.0a1e5b9%{?dist}
Summary:        Mock object framework for Python

License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/mox3
Source0: mox3-0.28.0-0.20200221143653.0a1e5b9.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=0a1e5b96f423ebd10cf1c554cf51847d0436b95f

BuildArch:      noarch

BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n     python%{pyver}-%{pypi_name}
Summary:        Mock object framework for Python
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}

Requires:  python%{pyver}-pbr
Requires:  python%{pyver}-fixtures
Requires:  python%{pyver}-six >= 1.9.0
Requires:  python%{pyver}-testtools

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr

# test requires
BuildRequires:  python%{pyver}-fixtures
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-six >= 1.9.0

%description -n python%{pyver}-%{pypi_name}
%{common_desc}

%prep
%autosetup -p1 -n %{pypi_name}-%{upstream_version}

# let RPM handle deps
%py_req_cleanup

%build
%{pyver_bin} setup.py build

%install
%{pyver_bin} setup.py install --skip-build --root %{buildroot}

%check
PYTHON=python%{pyver} stestr-%{pyver} run

%files -n python%{pyver}-%{pypi_name}
%doc README.rst
%license COPYING.txt
%{pyver_sitelib}/%{pypi_name}
%{pyver_sitelib}/%{pypi_name}*.egg-info

%changelog
* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.28.0-2
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.28.0-2
- Update patches

* Thu Oct 03 2019 Joel Capitao <jcapitao@redhat.com> 0.28.0-2
- Removed python2 subpackages in no el7 distros

* Mon Sep 16 2019 RDO <dev@lists.rdoproject.org> 0.28.0-1
- Update to 0.28.0

